
My family and I had gone to watch a double feature at the local drive-in theatre. We were driving back home at around midnight. My father was at the wheel, I sat in the passenger seat next to him, and we had our seat belts on. My mother sat in the middle of the station wagon and my brothers at the back. As we drove, we were hit head-on by a drunk driver that drove into our lane without stopping.

Everything seemed to happen in slow motion. I could see his vehicle heading straight into us, and then I blacked out. I immediately forgot about everything. I was in complete darkness: it was warm and comforting. I felt safe and content. I felt loved. It was very quiet, it felt like I was swimming or floating. I felt like I was in a warm, safe cocoon. Nothing hurt. I saw a light in the distance. It was soft and shimmery. However, I didn't feel the need to go there. I had to 'go back'.

I awoke suddenly, but couldn't see well due to eye and facial injuries. I was being taken out of the car wreck. I felt no pain as the adrenalin was pumping through my body. I was being told that I was in a car crash that everything would be all right. I could then hear people talking about me and what to do with me. I was back into consciousness.
